Fix compiling against heimdal

--- a/sample/server.c
+++ b/sample/server.c
@@ -85,8 +85,10 @@
 
 #ifdef HAVE_GSS_GET_NAME_ATTRIBUTE
 #include <gssapi/gssapi.h>
+#ifndef KRB5_HEIMDAL
 #include <gssapi/gssapi_ext.h>
 #endif
+#endif
 
 #include "common.h"
 
--- a/plugins/gssapi.c
+++ b/plugins/gssapi.c
@@ -50,6 +50,9 @@
 #else
 #include <gssapi/gssapi.h>
 #endif
+#ifdef KRB5_HEIMDAL
+#include <gssapi/gssapi_krb5.h>
+#endif
 
 #ifdef WIN32
 #  include <winsock2.h>
